Subject: Re: bug#27407: 25.2; SGR reset is ignored if it terminates Eshell's output

From: [email-masked]
Date: Sun, 18 Jun 2017 13:50:20 -0400

Pierre Neidhardt <[email-masked]> writes:

> On 17-06-17 14:19:54, [email-masked] wrote:
>
> I haven't tried your patch, but in the general case Eshell should not extend the
> ANSI coloring to the prompt, SGR reset or not. I.e. the following should not
> color the prompt:
>
> 	(insert "echo \"\e[33mhello")

My patch does not solve this scenario, but on the other hand, when I try
this experiment in a terminal with bash, not putting a reset does give a
coloured prompt, i.e., in the following the 2nd "~/src$" is in yellow:

    ~/src$ echo $'\e[33mhello'
    hello
    ~/src$ 

So should eshell really be any different?